/** @file ex053.c Demo-Prgramm fuer sizeof-Operator.
*/

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#include <stdio.h>
#include <string.h>


/**	Union-Typ un.
	Nur ein Element des union kann einen gueltigen Wert haben.
	Aendern/Setzen eines Elementes zerstoert den Inhalt der anderen
	Elemente.
*/
union un {
    int    i;		    /**< Ganzzahliger Wert. */
    double f;		    /**< Gleitkomma-Wert. */
    long   l;		    /**< Langer ganzzahliger Wert. */
    char   string[5];	/**< Text. */
} u1;

/**	Struct-Typ st.
	Alle Elemente des struct haben gleichzeitig gueltige Werte.
	Aendern/Setzen eines Elementes beeinflusst die anderen Elemente nicht.
*/
struct st      {
    int    i;		/**< Ganzzahliger Wert. */
    long   l;		/**< Langer ganzzahliger Wert. */
    double f;		/**< Gleitkomma-Wert. */
} s1;

/** Test-Text.
*/
static char const test_text[] = { "Dies ist ein Test." };

/** Hauptprogramm.
    @return 0 bei Erfolg.
*/
int
main(void)
{
    int		i = 1;

    /* Groesse des Datentypes union un ausgeben
    */
    printf("Groesse union un: %u\n", (unsigned)sizeof(union un));

    /* Groesse der Variablen i ausgeben
    */
    printf("Groesse Variable i: %u\n", (unsigned)sizeof(i));

    /* Groesse des Datentypes struct st ausgeben
    */
    printf(???);

    /* Groesse der Variable test_text mit sizeof
    */
    printf(???);

    /* Text-Laenge in test_text
    */
    printf("Laenge von test_text: %u\n", (unsigned)strlen(test_text));

    return 0;
}

/* vim: set ai sw=4 ts=4 expandtab : */
