/**	@file	he-ulongso.h	Unsigned long zu String konvertieren, ohne
	die printf()-Familie zu benutzen.

	Dieses Modul ist fuer den Einsatz auf Microcontrollern gedacht,
	wo die printf()-Familie wegen des Speicherbedarfs vermieden
	werden soll.
*/

/* Copyright (C) 2014 - HS Schmalkalden. All rights reserved. */

#ifndef	HE_ULONGS_H_INCLUDED
#define	HE_ULONGS_H_INCLUDED	1

#ifdef __cplusplus
extern "C" {
#endif

/**	Unsigned long zu String konvertieren ohne printf-Familie zu nutzen.
	@param	rb	Zeiger auf Puffer fuer Ergebnis.
	@param	sz	Groesse des Puffers (Anzahl Bytes).
	@param	ul	Wert, der konvertiert werden soll.
	@param	ec	Zeiger auf Fehlercode-Variable, darf NULL sein.
	@return	1 bei Erfolg, 0 bei Fehler.
*/
int
hsm_et_ulong_to_string(char *rb, size_t sz, unsigned long ul, int *ec);

#ifdef __cplusplus
}
#endif

#endif
/* ifndef HE_ULONGS_H_INCLUDED */

/* vim: set ai sw=4 ts=4 expandtab : */

