/* Testprogramm zur Demonstration von strcat */

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#ifdef _WIN32
#define _CRT_SECURE_NO_WARNINGS 1
#endif

#include <stdio.h>
#include <string.h>


/** Satzanfang, wird zuerst in Puffer kopiert.
*/
char const satzanfang[]  = { "Heute ist: "};


/** Kurzer Test-String, passt noch nach Satzanfang in Puffer.
*/
char const teststring1[] = { "Montag" };


/** Langer Test-String, passt nicht nach Satzanfang in Puffer.
*/
char const teststring2[] = { "Sonnabend" };


/** Hauptprogramm.
	@return 0 bei Erfolg, alle anderen Werte bedeuten Fehler.
*/
int
main(void)
{
	char puffer[18];

	/*    Satzanfang in Puffer kopieren, danach Test-String 1 anhaengen.
	*/
	printf("Test-String 1\n");
	if (sizeof(puffer) > strlen(satzanfang)) {
		strcpy(puffer, satzanfang);
		if (sizeof(puffer) > (strlen(puffer) + strlen(teststring1))) {
			strcat(puffer, teststring1);
			printf("Test-String erfolgreich kopiert.\n");
		}
		else {
			printf("FEHLER: Zielpuffer ist zu klein!\n");
		}
	}
	else {
		printf("FEHLER: Zielpuffer ist zu klein!\n");
	}

	/*    Satzanfang in Puffer kopieren, danach Test-String 2 anhaengen.
	*/
	printf("Test-String 2\n");
	if (sizeof(puffer) > strlen(satzanfang)) {
		strcpy(puffer, satzanfang);
		if (sizeof(puffer) > (strlen(puffer) + strlen(teststring2))) {
			strcat(puffer, teststring2);
			printf("Test-String erfolgreich kopiert.\n");
		}
		else {
			printf("FEHLER: Zielpuffer ist zu klein!\n");
		}
	}
	else {
		printf("FEHLER: Zielpuffer ist zu klein!\n");
	}

	return 0;
}

/* vim: set ai sw=4 ts=4 : */
