/** @file ex025.c Demo-Programm fuer Schreiben einer Text-Datei,
	portabel mit he-file Modul.
*/

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#include "he-conf.h"

#include <stdio.h>

#if HAVE_STDLIB_H
#include <stdlib.h>
#endif
#if HAVE_UNISTD_H
#include <unistd.h>
#endif
#if HAVE_PROCESS_H
#include <process.h>
#endif

#include "he-file.h"


/** Dateiname der zu schreibenden Datei.
*/
#if HE_ON_WINDOWS
static const char filename[] = { "C:\\Temp\\C\\testfile.txt" };
#else
static const char filename[] = { "testfile.txt" };
#endif


/** Hauptprogramm.
	@return 0 bei Erfolg, alle anderen Werte bedeuten Fehler.
*/
int
main(void)
{
	FILE *inf    = NULL;          /* Datei-Zeiger */
	int   exc    = EXIT_FAILURE;  /* Exit-Code des Programmes. */
	int   c;                      /* Zeichen, das eingelesen wird. */

	inf = hsm_et_file_open(filename, "r", NULL);
	if (NULL != inf) {

		/* Erfolg im Rueckgabewert vermerken */
		exc = EXIT_SUCCESS;

		/* Alle Zeichen aus Datei einlesen und auf Standardausgabe ausgeben */
		do {
			c = fgetc(inf);
			if (EOF != c) {
				fputc(c, stdout);
			}
		} while (EOF != c);

		/* Falls Schliessen der Datei fehlschlaegt, Misserfolg */
		if (0 >= hsm_et_file_close(inf, filename, NULL)) {
		    exc = EXIT_FAILURE;
		}
		inf = NULL;
	}
	exit(exc); return exc;
}

/* vim: set ai sw=4 ts=4 : */
