/**	@file   he-conf.h   Konfigurationseinstellungen.

	Die Konfigurationseinstellungen werden entweder aus he-config.h
	genommen, falls das configure-Script ausgefuehrt wurde. Andernfalls
	werden Standardwerte auf he-defs.h verwendet.
*/

/* Copyright (C) 2014 - HS Schmalkalden. All rights reserved. */

#ifndef HE_CONF_H_INCLUDED
/**	Protection against multiple inclusions. */
#define	HE_CONF_H_INCLUDED

/*	Eine der Dateien he-config.h (automatisch von configure-Script),
 	he-windows.h (Defaults fuer Windows) oder
 	he-defs.h (Defaults fuer POSIX) einschliessen.
	Ausserdem Konstante HE_ON_WINDOWS setzen
*/
#if defined(WIN32) || defined(WIN64) || defined(_WIN32) || defined(_WIN64)

#ifdef HE_ON_WINDOWS
#undef HE_ON_WINDOWS
#endif

/**	Flag to indicate Windows or non-Windows system.
*/
#define	HE_ON_WINDOWS	1

#include "he-windows.h"

#else
/* if defined(WIN32) || defined(WIN64) || defined(_WIN32) || defined(_WIN64) */

#ifdef HE_ON_WINDOWS
#undef HE_ON_WINDOWS
#endif

/**	Flag to indicate Windows or non-Windows system.
*/
#define	HE_ON_WINDOWS	0

#if HAVE_CONFIG_H
#include "he-config.h"
#else
#include "he-defs.h"
#endif

#endif
/* if defined(WIN32) || defined(WIN64) || defined(_WIN32) || defined(_WIN64) */


#endif
/* ifndef HE_CONF_H_INCLUDED */

/* vim: set ai sw=4 ts=4 expandtab : */

