/**	@file	he-longfo.h	Unsigned long in Datei ausgeben,
	ohne die printf()-Familie zu benutzen.

	Dieses Modul ist fuer den Einsatz auf Microcontrollern gedacht,
	wo die printf()-Familie wegen des Speicherbedarfs vermieden
	werden soll.
*/

/* Copyright (C) 2014 - HS Schmalkalden. All rights reserved. */

#ifndef	HE_LONGFO_H_INCLUDED
#define	HE_LONGFO_H_INCLUDED	1

#include <stdio.h>

#ifdef __cplusplus
extern "C" {
#endif

/**	Unsigned long zu String konvertieren ohne printf-Familie zu nutzen.
    @param  of  Ausgabedatei.
    @param  ul  Zu schreibender Wert.
    @param  fn  Dateiname Ausgabedatei, darf NULL sein.
    @param  ec  Zeiger auf Fehlercode-Variable, darf NULL sein.
	@return	1 bei Erfolg, 0 bei Fehler.
*/
int
hsm_et_long_to_file(FILE *of, long ul, const char *fn, int *ec);

#ifdef __cplusplus
}
#endif

#endif
/* ifndef HE_ULONGFO_H_INCLUDED */

/* vim: set ai sw=4 ts=4 expandtab : */

