/**	@file	he-time.c	Aktuellen Zeitpunkt in lokaler Zeit ermitteln.
*/

#include "he-conf.h"

#ifdef	_WIN32

#define	_CRT_SECURE_NO_WARNINGS	1
#define	_USE_MATH_DEFINES		1

#include <windows.h>

#else

#if	TIME_WITH_SYS_TIME
#if	HAVE_SYS_TIME_H
#include <sys/time.h>
#endif
#if	HAVE_TIME_H
#include <time.h>
#endif
#else
#if	HAVE_TIME_H
#include <time.h>
#else
#if	HAVE_SYS_TIME_H
#include <sys/time.h>
#endif
#endif
#endif

#endif


#include "he-time.h"


int
he_time_get(he_time_t *dst)
{
#ifdef	_WIN32
	SYSTEMTIME		st;
	int				back	= 0;
	if (NULL != dst) {
		GetLocalTime(&st);
		dst->jahr		= st.wYear;
		dst->monat		= st.wMonth;
		dst->tag		= st.wDay;
		dst->stunde		= st.wHour;
		dst->minute		= st.wMinute;
		dst->sekunde	= st.wSecond;
	}
	return back;
#else
	struct tm	 buffer;
	struct tm	*tptr;
	time_t		 timer;
	int			 back	= 0;
	if (NULL != dst) {
		if ((time_t)(-1) != time(&timer)) {
			tptr = localtime_r(&timer, &buffer);
			if (NULL != tptr) {
				dst->jahr		= 1900 + tptr->tm_year;
				dst->monat		= 1 + tptr->tm_mon;
				dst->tag		= tptr->tm_mday;
				dst->stunde		= tptr->tm_hour;
				dst->minute		= tptr->tm_min;
				dst->sekunde	= tptr->tm_sec;
				back = 1;
			}
		}
	}
	return back;
#endif
}


/* vim: set ai sw=4 ts=4 : */
