
/**	@file	mtriangle.c	Main module of triangle.
*/

#include <stdio.h>

#include "triangle.h"

static
void
usage(void)
{
  printf("triangle - Triangle area calculator\n");
  printf("===================================\n\n");
  printf("Usage\n");
  printf("-----\n");
  printf("triangle a b c\n");
  printf("a, b and c are the triangle side lengths.\n");
}


/**	The main function of the triangle program.
	@param	argc	Number of command line arguments.
	@param	argv	Command line arguments array.
	@return	0 on success, other values indicate errors.
*/
int main(int argc, char *argv[])
{
  int ec = 0;	/* Exit code. */
  double a = 0.0, b = 0.0, c = 0.0, x = 0.0;
  if(argc == 4) {
    if(sscanf(argv[1], "%lf", &x) == 1) {
      a = x;
      if(sscanf(argv[2], "%lf", &x) == 1) {
        b = x;
	if(sscanf(argv[3], "%lf", &x) == 1) {
	  c = x;
	  x = triangleArea(a, b, c);
	  if(x >= 0.0) {
	    printf("Area: %lg\n", x);
	  } else {
	    ec = 2;
	  }
	} else {
	  ec = 1;
	}
      } else {
        ec = 1;
      }
    } else {
      ec = 1;
    }
  } else {
    ec = 1;
  }
  switch(ec) {
    case 1: {
      usage();
    } break;
    case 2: {
      printf("triangle: ERROR: Not a valid triangle!\n");
    } break;
  }
  exit(ec); return ec;
}

